Subject: bug#24574: emacs-module is not GPL compatible (Windows)

From: Alain Schneble <[email-masked]>
Date: Sat, 1 Oct 2016 09:53:46 +0200

Mambo Levis <[email-masked]> writes:

> Hi,
> I build the emacs-sqlite3 project in Windows using MINGW (mingw64_shell.bat) and the following message appears whenI requiere the module:
> sqlite3-core.dll is not GPL compatible
>
> Questions: 
> 1. Have anybody tried to build this project in windows using MINGW or Visual Studio?
> 2. Do you have any idea about the error message: sqlite3-core.dll is not GPL compatible?
> I found this project (sqlite3-core) more interesting/valuable for testing the new emacs-module than the default provided (mod-test) in emacs-25.1-src/modules
> Repository: https://github.com/syohex/emacs-sqlite3
> I also found and build a similar project https://github.com/thom-jenks/emacs-sqlite but unfortunately with the same problem: it is not GPL compatible
>
> Thanks
> Levis

FWIW, mod-test works properly here on mingw64 with gcc 6.1.0, even with
CFLAGS='-O3'.  Did you try with mod-test?  Do you get the same error?

Alain